import request from '@/utils/request'

// 创建商品认证
export function createGoodsVerify(data) {
  return request({
    url: '/basic/goods-verify/create',
    method: 'post',
    data: data
  })
}

// 更新商品认证
export function updateGoodsVerify(data) {
  return request({
    url: '/basic/goods-verify/update',
    method: 'put',
    data: data
  })
}

// 删除商品认证
export function deleteGoodsVerify(id) {
  return request({
    url: '/basic/goods-verify/delete?id=' + id,
    method: 'delete'
  })
}

// 获得商品认证
export function getGoodsVerify(id) {
  return request({
    url: '/basic/goods-verify/get?id=' + id,
    method: 'get'
  })
}

// 获得商品认证分页
export function getGoodsVerifyPage(query) {
  return request({
    url: '/basic/goods-verify/page',
    method: 'get',
    params: query
  })
}

// 获得商品认证
export function getGoodsVerifyByGoodsId(goodsId) {
  return request({
    url: '/basic/goods-verify/getByGoodsId?goodsId=' + goodsId,
    method: 'get'
  })
}

